package com.ztmap.project.zhny.lotusydfx.mapper;

import java.util.List;
import com.ztmap.project.zhny.lotusydfx.domain.TLotusYdfx;

/**
 * 用电分项统计Mapper接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface TLotusYdfxMapper 
{
    /**
     * 查询用电分项统计
     * 
     * @param id 用电分项统计ID
     * @return 用电分项统计
     */
    public TLotusYdfx selectTLotusYdfxById(Long id);

    /**
     * 查询用电分项统计列表
     * 
     * @param tLotusYdfx 用电分项统计
     * @return 用电分项统计集合
     */
    public List<TLotusYdfx> selectTLotusYdfxList(TLotusYdfx tLotusYdfx);

    /**
     * 新增用电分项统计
     * 
     * @param tLotusYdfx 用电分项统计
     * @return 结果
     */
    public int insertTLotusYdfx(TLotusYdfx tLotusYdfx);

    /**
     * 修改用电分项统计
     * 
     * @param tLotusYdfx 用电分项统计
     * @return 结果
     */
    public int updateTLotusYdfx(TLotusYdfx tLotusYdfx);

    /**
     * 删除用电分项统计
     * 
     * @param id 用电分项统计ID
     * @return 结果
     */
    public int deleteTLotusYdfxById(Long id);

    /**
     * 批量删除用电分项统计
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTLotusYdfxByIds(String[] ids);
}
